Package org.opensaml.xmlsec.signature.impl

# Class AbstractXMLSignatureUnmarshaller

java.lang.Object
org.opensaml.core.xml.io.AbstractXMLObjectUnmarshaller
org.opensaml.xmlsec.signature.impl.AbstractXMLSignatureUnmarshaller

All Implemented Interfaces:
  `Unmarshaller`

Direct Known Subclasses:
  `DigestMethodUnmarshaller`, `DSAKeyValueUnmarshaller`, `ECKeyValueUnmarshaller`, `KeyInfoReferenceUnmarshaller`, `KeyInfoUnmarshaller`, `KeyValueUnmarshaller`, `NamedCurveUnmarshaller`, `PGPDataUnmarshaller`, `RetrievalMethodUnmarshaller`, `RSAKeyValueUnmarshaller`, `SPKIDataUnmarshaller`, `TransformsUnmarshaller`, `TransformUnmarshaller`, `X509DataUnmarshaller`, `X509IssuerSerialUnmarshaller`

public abstract class AbstractXMLSignatureUnmarshaller extends AbstractXMLObjectUnmarshaller
An abstract unmarshaller implementation for XMLObjects from XML Signature.

## Field Summary

### Fields inherited from class org.opensaml.core.xml.io.AbstractXMLObjectUnmarshaller

`CONFIG_PROPERTY_XML_STRICT_MODE`

## Constructor Summary

Constructors
Constructor
Description
`AbstractXMLSignatureUnmarshaller()`

## Method Summary

### Methods inherited from class org.opensaml.core.xml.io.AbstractXMLObjectUnmarshaller

`buildXMLObject, checkIDAttribute, processAttribute, processChildElement, processElementContent, processUnknownAttribute, unmarshall, unmarshallAttribute, unmarshallChildElement, unmarshallNamespaceAttribute, unmarshallSchemaInstanceAttributes, unmarshallTextContent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractXMLSignatureUnmarshaller

public AbstractXMLSignatureUnmarshaller()